package src.DrawningObjects;

import java.awt.*;

public class DrawningEnginesOval implements IDraw{
    private src.NumberType EngineNumb;
    private int Width, Height;
    private Color EngineColor;
    public int CurX, CurY;
    public DrawningEnginesOval(int width, int height,int curX, int curY){
        Width = width;
        Height = height;
        CurX = curX;
        CurY = curY;
        EngineColor = Color.BLACK;
    }
    public void ChangeX(int x){
        CurX = x;
    }
    public void ChangeY(int y){
        CurY = y;
    }
    public void ChangeEnginesNumb(int x){
        if(x <= 1)
            EngineNumb = src.NumberType.Two;
        if(x == 2)
            EngineNumb = src.NumberType.Four;
        if(x >= 3)
            EngineNumb = src.NumberType.Six;
    }
    public src.NumberType EngineNumb(){
        return EngineNumb;
    }
    public void DrawEngines(Graphics2D g2d){
        g2d.setColor(EngineColor);
        g2d.drawOval(CurX + 92,CurY - 15,25,10 );
        g2d.drawOval(CurX + 92,CurY + 34,25,10 );

        if (EngineNumb == src.NumberType.Four || EngineNumb == src.NumberType.Six)
        {
            g2d.drawOval(CurX + 86,CurY - 40,25,10 );

            g2d.drawOval(CurX + 86,CurY +59,25,10 );
        }

        if (EngineNumb == src.NumberType.Six)
        {
            g2d.drawOval(CurX + 128,CurY -7,25,10 );
            g2d.drawOval(CurX + 128,CurY +25,25,10 );
        }
    }
}
