package src.MovementStrategy;

import src.DirectionType;

public interface IMoveableObject {
    public ObjectParameters GetObjectParameters();
    public int GetStep();
    boolean CheckCanMove(DirectionType direction);
    void MoveObject(DirectionType direction);
}
