package src.MovementStrategy;

public class ObjectParameters {
    private final int _x;
    private final int _y;
    private final int _width;
    private final int _height;
    public int LeftBorder;
    public int TopBorder;
    public int RightBorder;
    public int DownBorder;
    public int ObjectMiddleHorizontal;
    public int ObjectMiddleVertical;
    public ObjectParameters(int x, int y, int width, int height)
    {
        _x = x;
        _y = y;
        _width = width;
        _height = height;
        LeftBorder = _x;
        TopBorder = _y;
        RightBorder = _x + width;
        DownBorder = _y + _height * 125 / 1000 + (_height-_height * 125 / 1000)/2 ;
        ObjectMiddleHorizontal = _x + _width / 2;
        ObjectMiddleVertical =  _y +(_height - _height * 125 / 1000) / 2 / 2;
    }
}
