package src.DrawningObjects;
import src.Entities.EntityAirplane;
import src.Entities.EntityAirFighter;

import java.awt.*;

public class DrawningAirFighter extends DrawningAirplane {
    public DrawningAirFighter(int speed, double weight, Color bodyColor, Color additionalColor,
                              boolean dopwings, boolean rackets, int width, int height) {
        super(speed, weight, bodyColor, width, height);
        if (EntityAirplane != null) {
            EntityAirplane = new EntityAirFighter(speed, weight, bodyColor, additionalColor, dopwings, rackets);
        }
    }

    @Override
    public void DrawAirplane(Graphics2D g2d) {
        if (!(EntityAirplane instanceof EntityAirFighter)) {
            return;
        }
        super.DrawAirplane(g2d);
        EntityAirFighter _airplaneAirFighter = (EntityAirFighter) EntityAirplane;
        if (_airplaneAirFighter.Racket()) {
            g2d.setColor(Color.GRAY);
            g2d.fillRect(_startPosX + 70, _startPosY - 15, 10, 10);
            g2d.setColor(Color.BLACK);
            g2d.drawRect(_startPosX + 70, _startPosY - 15, 10, 10);
            int[] xPointsArrNoseRacket = {_startPosX + 70, _startPosX + 70, _startPosX + 60};
            int[] yPointsArrNoseRacket = {_startPosY - 5, _startPosY - 15, _startPosY - 10};

            g2d.setColor(Color.RED);
            g2d.fillPolygon(xPointsArrNoseRacket, yPointsArrNoseRacket, xPointsArrNoseRacket.length);
            g2d.setColor(Color.BLACK);
            g2d.drawPolygon(xPointsArrNoseRacket, yPointsArrNoseRacket, xPointsArrNoseRacket.length);
            g2d.setColor(Color.GRAY);
            g2d.fillRect(_startPosX + 70, _startPosY - 40, 10, 10);
            g2d.setColor(Color.BLACK);
            g2d.drawRect(_startPosX + 70, _startPosY - 40, 10, 10);
            int[] xPoints2ArrNoseRacket = {_startPosX + 70, _startPosX + 70, _startPosX + 60};
            int[] yPoints2ArrNoseRacket = {_startPosY - 30, _startPosY - 40, _startPosY - 35};
            g2d.setColor(Color.RED);
            g2d.fillPolygon(xPoints2ArrNoseRacket, yPoints2ArrNoseRacket, xPoints2ArrNoseRacket.length);
            g2d.setColor(Color.BLACK);
            g2d.drawPolygon(xPoints2ArrNoseRacket, yPoints2ArrNoseRacket, xPoints2ArrNoseRacket.length);

            g2d.setColor(Color.GRAY);
            g2d.fillRect(_startPosX + 70, _startPosY + 59, 10, 10);
            g2d.setColor(Color.BLACK);
            g2d.drawRect(_startPosX + 70, _startPosY + 59, 10, 10);
            int[] xPoints3ArrNoseRacket = {_startPosX + 70, _startPosX + 70, _startPosX + 60};
            int[] yPoints3ArrNoseRacket = {_startPosY + 59, _startPosY + 69, _startPosY + 64};
            g2d.setColor(Color.RED);
            g2d.fillPolygon(xPoints3ArrNoseRacket, yPoints3ArrNoseRacket, xPoints3ArrNoseRacket.length);
            g2d.setColor(Color.BLACK);
            g2d.drawPolygon(xPoints3ArrNoseRacket, yPoints3ArrNoseRacket, xPoints3ArrNoseRacket.length);

            g2d.setColor(Color.GRAY);
            g2d.fillRect(_startPosX + 70, _startPosY + 34, 10, 10);
            g2d.setColor(Color.BLACK);
            g2d.drawRect(_startPosX + 70, _startPosY + 34, 10, 10);
            int[] xPoints4ArrNoseRacket = {_startPosX + 70, _startPosX + 70, _startPosX + 60};
            int[] yPoints4ArrNoseRacket = {_startPosY + 34, _startPosY + 44, _startPosY + 39};
            g2d.setColor(Color.RED);
            g2d.fillPolygon(xPoints4ArrNoseRacket, yPoints4ArrNoseRacket, xPoints4ArrNoseRacket.length);
            g2d.setColor(Color.BLACK);
            g2d.drawPolygon(xPoints4ArrNoseRacket, yPoints4ArrNoseRacket, xPoints4ArrNoseRacket.length);

        }
        if (_airplaneAirFighter.DopWing()) {
            g2d.setColor(_airplaneAirFighter.AdditionalColor());
            int[] xPointsrightdopwing = {_startPosX + 30, _startPosX + 30, _startPosX + 35, _startPosX + 45};
            int[] yPointsrightdopwing = {_startPosY + 4, _startPosY - 34, _startPosY - 34, _startPosY + 4};
            g2d.fillPolygon(xPointsrightdopwing, yPointsrightdopwing, xPointsrightdopwing.length);

            int[] xPointsleftdopwing = {_startPosX + 30,_startPosX + 30,_startPosX+35,_startPosX+45};
            int[] yPointsleftdopwing = {_startPosY + 24,_startPosY + 59,_startPosY + 59,_startPosY + 24};
            g2d.fillPolygon(xPointsleftdopwing,yPointsleftdopwing,xPointsleftdopwing.length);
        }
    }
}


