package src.DrawningObjects;
import javax.swing.*;
import java.awt.*;
import src.NumberType;

public class DrawningEngines implements IDraw {

    private NumberType EngineNumb;
    private int Width, Height;
    private Color EngineColor;
    public int CurX, CurY;
    public DrawningEngines(int width, int height,int curX, int curY){
        Width = width;
        Height = height;
        CurX = curX;
        CurY = curY;
        EngineColor = Color.BLACK;
    }
    public void ChangeX(int x){
        CurX = x;
    }
    public void ChangeY(int y){
        CurY = y;
    }
    public void ChangeEnginesNumb(int x){
        if(x <= 1)
            EngineNumb = NumberType.Two;
        if(x == 2)
            EngineNumb = NumberType.Four;
        if(x >= 3)
            EngineNumb = NumberType.Six;
    }
    public NumberType EngineNumb(){
        return EngineNumb;
    }
    public void DrawEngines(Graphics2D g2d){
        g2d.setColor(EngineColor);
        g2d.fillOval(CurX + 92,CurY - 15,25,10 );
        g2d.fillOval(CurX + 92,CurY + 34,25,10 );

        if (EngineNumb == NumberType.Four || EngineNumb == NumberType.Six)
        {
            g2d.fillOval(CurX + 86,CurY - 40,25,10 );

            g2d.fillOval(CurX + 86,CurY +59,25,10 );
        }

        if (EngineNumb == NumberType.Six)
        {
            g2d.fillOval(CurX + 128,CurY -7,25,10 );
            g2d.fillOval(CurX + 128,CurY +25,25,10 );
        }
    }
}
